# $Revision: 1.52 $, $Date: 2007/02/12 21:23:51 $
Summary:	Cross SPARC64 GNU binary utility development utilities - gcc
Summary(es.UTF-8):	Utilitarios para desarrollo de binarios de la GNU - SPARC64 gcc
Summary(fr.UTF-8):	Utilitaires de développement binaire de GNU - SPARC64 gcc
Summary(pl.UTF-8):	Skrośne narzędzia programistyczne GNU dla SPARC64 - gcc
Summary(pt_BR.UTF-8):	Utilitários para desenvolvimento de binários da GNU - SPARC64 gcc
Summary(tr.UTF-8):	GNU geliştirme araçları - SPARC64 gcc
Name:		crosssparc64-gcc
Version:	4.0.2
Release:	2
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/gcc-%{version}.tar.bz2
# Source0-md5:	a659b8388cac9db2b13e056e574ceeb0
URL:		http://gcc.gnu.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	crosssparc64-binutils
BuildRequires:	fileutils >= 4.1.41
BuildRequires:	flex
BuildRequires:	texinfo >= 4.1
Requires:	crosssparc64-binutils
Requires:	gcc-dirs
Obsoletes:	egcs64
ExcludeArch:	sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		sparc64-pld-linux
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_libdir}/gcc/%{target}
%define		gcclib		%{gccarch}/%{version}

%define		_noautostrip	.*/libgc.*\\.a

%description
This package contains a cross-gcc which allows the creation of
binaries to be run on SPARC64 Linux on other machines.

%description -l de.UTF-8
Dieses Paket enthält einen Cross-gcc, der es erlaubt, auf einem
anderem Rechner Code für SPARC64 Linux zu generieren.

%description -l pl.UTF-8
Ten pakiet zawiera skrośny gcc pozwalający na robienie na innych
maszynach binariów do uruchamiania na Linuksie SPARC64.

%package c++
Summary:	C++ support for crosssparc64-gcc
Summary(pl.UTF-8):	Obsługa C++ dla crosssparc64-gcc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description c++
This package adds C++ support to the GNU Compiler Collection for SPARC64.

%description c++ -l pl.UTF-8
Ten pakiet dodaje obsługę C++ do kompilatora gcc dla SPARC64.

%prep
%setup -q -n gcc-%{version}

%build
cp -f /usr/share/automake/config.* .
rm -rf obj-%{target}
install -d obj-%{target}
cd obj-%{target}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--disable-shared \
	--disable-threads \
	--enable-languages="c,c++" \
	--enable-c99 \
	--enable-long-long \
	--disable-nls \
	--with-cpu=ultrasparc \
	--with-gnu-as \
	--with-gnu-ld \
	--with-mangler-in-ld \
	--with-system-zlib \
	--enable-multilib \
	--without-headers \
	--without-x \
	--target=%{target} \
	--host=%{_target_platform} \
	--build=%{_target_platform}

%{__make} all-gcc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C obj-%{target} install-gcc \
	DESTDIR=$RPM_BUILD_ROOT

install obj-%{target}/gcc/specs $RPM_BUILD_ROOT%{gcclib}

# don't want this here
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a

# include/ contains install-tools/include/* and headers that were fixed up
# by fixincludes, we don't want former
gccdir=$RPM_BUILD_ROOT%{gcclib}
mkdir	$gccdir/tmp
# we have to save these however
mv -f	$gccdir/include/syslimits.h $gccdir/tmp
rm -rf	$gccdir/include
mv -f	$gccdir/tmp $gccdir/include
cp -f	$gccdir/install-tools/include/*.h $gccdir/include
# but we don't want anything more from install-tools
rm -rf	$gccdir/install-tools

%if 0%{!?debug:1}
%{target}-strip -g -R.note -R.comment $RPM_BUILD_ROOT%{gcclib}/32/libgcc.a
%{target}-strip -g -R.note -R.comment $RPM_BUILD_ROOT%{gcclib}/32/libgcov.a
%{target}-strip -g -R.note -R.comment $RPM_BUILD_ROOT%{gcclib}/libgcc.a
%{target}-strip -g -R.note -R.comment $RPM_BUILD_ROOT%{gcclib}/libgcov.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-cpp
%attr(755,root,root) %{_bindir}/%{target}-gcc
%dir %{gccarch}
%dir %{gcclib}
%attr(755,root,root) %{gcclib}/cc1
%attr(755,root,root) %{gcclib}/collect2
%dir %{gcclib}/32
%{gcclib}/32/crt*.o
%{gcclib}/32/libgcc.a
%{gcclib}/crt*.o
%{gcclib}/libgcc.a
%{gcclib}/specs*
%dir %{gcclib}/include
%{gcclib}/include/*.h
%{_mandir}/man1/%{target}-cpp.1*
%{_mandir}/man1/%{target}-gcc.1*

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-g++
%attr(755,root,root) %{gcclib}/cc1plus
%{_mandir}/man1/%{target}-g++.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crosssparc64-gcc.spec,v $
Revision 1.52  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.50  2005/12/26 21:37:02  qboosh
- release 2

Revision 1.49  2005/11/10 14:32:31  qboosh
- done: build with --with-cpu=ultrasparc; now glibc should build

Revision 1.48  2005/11/10 13:50:26  qboosh
- todo added not to forget it

Revision 1.47  2005/10/03 09:44:19  pluto
- updated to 4.0.2, cleanups.

Revision 1.46  2005/06/13 15:49:41  pluto
- updated to 4.0.1-20050609.

Revision 1.45  2005/05/22 13:14:23  pluto
- updated to 4.0.1-20050521.

Revision 1.44  2005/05/15 21:51:52  pluto
- refresh config.*.

Revision 1.43  2005/05/15 21:09:48  pluto
- updated to 4.0.1-20050514.

Revision 1.42  2005/05/15 20:47:41  pluto
- strip with -R.note -R.comment.

Revision 1.41  2005/05/15 20:37:54  pluto
- c++ support added.

Revision 1.40  2005/05/15 20:28:28  pluto
- updated to 4.0.1-20050514.
- desc.

Revision 1.39  2004/11/20 14:18:30  pluto
- cleanups.

Revision 1.38  2004/11/20 14:09:23  pluto
- refresh gcc/libc config.sub (amd64 issue).

Revision 1.37  2004/11/18 23:34:04  pluto
- ready for Th.
- release 2.

Revision 1.36  2004/11/18 22:54:43  pluto
- BRs sorted/updated, URL added.

Revision 1.35  2004/11/17 22:32:24  pluto
- enable-{c99,long-long}.

Revision 1.34  2004/11/17 22:26:19  pluto
- syncing specs, cleanups.

Revision 1.33  2004/11/17 21:33:39  pluto
- newlib headers are used only on win32 hosted crosscompilers.

Revision 1.32  2004/11/05 16:53:11  pluto
- updated to 3.4.3 final.

Revision 1.31  2004/10/08 04:52:43  ankry
- R: gcc-dirs, rel++

Revision 1.30  2004/10/07 10:26:23  qboosh
- strip fix

Revision 1.29  2004/10/03 12:14:27  undefine
- add obsoletes egcs64, release 2

Revision 1.28  2004/09/24 17:21:44  pluto
- fixed %%install and stripping.

Revision 1.27  2004/09/24 16:58:45  pluto
- updated to 3.4.2.
- fixed PR17601.
- release 1.

Revision 1.26  2004/09/14 12:22:58  undefine
- release 3

Revision 1.25  2004/09/14 08:51:11  qboosh
- BR: automake

Revision 1.24  2004/09/14 08:18:34  krolik
- amd64 workaround with config.sub

Revision 1.23  2004/07/21 10:41:45  qboosh
- cleanup, disable threads - evil patch not needed now

Revision 1.22  2004/07/20 12:37:31  qboosh
- desc fixes (not only i386), removed obsolete configure options

Revision 1.21  2004/06/20 13:19:23  qboosh
- use proper libdir

Revision 1.20  2004/06/18 00:53:08  pluto
- todo.

Revision 1.19  2004/06/17 20:54:28  pluto
- release 2.

Revision 1.18  2004/06/17 20:05:27  pluto
- ada killed.

Revision 1.17  2004/06/17 11:55:49  pluto
- ops, log fixed.

Revision 1.16  2004/06/17 11:52:38  pluto
- back to 3.3.4, ada enabled, testing...

Revision 1.15  2004/06/01 20:15:05  cieciwa
- version 3.4.0,
- updated MD5 sum.

Revision 1.14  2004/05/29 13:25:28  qboosh
- ExcludeArch: sparc64 (would conflict with native toolchain)

Revision 1.13  2004/05/22 10:02:02  pluto
- stripping fixed.

Revision 1.12  2004/03/15 13:13:17  cieciwa
- updated MD5 sum.

Revision 1.11  2004/03/15 13:01:15  cieciwa
- updated to 3.3.3,
- fixed %%files, %%install,
- added dirty patch to include pthread.h.

Revision 1.10  2004/03/15 09:57:59  ankry
- cosmetics

Revision 1.9  2004/03/15 09:54:17  cieciwa
- gcc 3.2 [in this moment gcc-3.3.3 can't build]

Revision 1.8  2004/03/13 23:31:21  cieciwa
- fixed (?)

Revision 1.7  2004/03/13 21:53:38  cieciwa
- updated to version 3.3.3,
- updated MD5sum.

Revision 1.6  2003/08/29 23:30:33  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.5  2003/08/06 16:52:52  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.4  2003/05/26 16:24:51  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:29  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/28 10:07:33  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.1  2002/07/23 15:43:57  undefine
- initital pld version
